package gui.settings.dialog.group;

import gui.layout.percent2.APConstraint;
import gui.layout.percent2.AnchorPercentLayout;
import gui.resource.ResourceManager;
import gui.settings.dialog.component.SpinnerSettingsComponent;

public class ThreadsSettingsGroup extends SettingsComponentGroup {

	private static final long serialVersionUID = -2239382458872983954L;
	private String settingsName;
	
	public ThreadsSettingsGroup(String text,String settingsName,ResourceManager rm) {
		super(text,rm,false);
		this.settingsName=settingsName;
		createSettingsComponents(rm); 
	}

	@Override
	protected void createSettingsComponents(ResourceManager rm) {
		SpinnerSettingsComponent c = new SpinnerSettingsComponent(settingsName);
		setLayout(new AnchorPercentLayout());
		addSettingsComponent(c,APConstraint.constraint().width(100));
	}
	
}